# jumbotron
A Bash terminal written in dart that runs in the browser

### Overview
jumbotron is a terminal that (optionally) connects via websockets to a web server.  When used with [shellephone](https://github.com/kharland/shellephone) for example, jumbotron can actually be used like a shell without commands that require a tty.

To use jumbotron in your angular-dart project, simply create a module:

##### main.dart
```dart
import "dart:html";
import "dart:async";

import 'package:angular/angular.dart';
import 'package:angular/application_factory.dart';

import "package:jumbotron/jumbotron.dart";

class JumbotronDemoModule extends Module {
  JumbotronDemoModule() {
    bind(JumbotronComponent);
  }
}

void main () {
  applicationFactory()
    .addModule(new JumbotronDemoModule())
    .run();
}
```
and add a jumbotron element to your html:

##### main.html
```js
<jumbotron 
  ps1="kharland@kendal-laptop$ " 
  sockaddr="127.0.0.1:8082">
</jumbotron>
```

##### output

![jumbotron-demo-sh](https://raw.githubusercontent.com/kharland/jumbotron/master/jumbotron-demo-sh.png)
